AutoCAD Inventor :: Sketch In Paperspace Using ILogic

Oct 20, 2011

I need to draw in a sketch on a drawing. The sketch is created OK, but I get the error "The parameter is incorrect. (Exception from HRESULT: 0x80070057 (E_INVALIDARG))" at Call oSketch.SketchLines.AddByTwoPoints.

Dim oSketch As DrawingSketch
oSketch=ThisDrawing.ActiveSheet.Sheet.sketches.add
Dim oTranGeo As TransientGeometry
oTranGeo = ThisApplication.TransientGeometry

' Draw two point line in the sketch.

Call oSketch.SketchLines.AddByTwoPoints(oTranGeo.CreatePoint2d(10 * 2.54, 10 * 2.54), oTranGeo.CreatePoint2d(30 * 2.54, 45 * 2.54))

View 3 Replies


ADVERTISEMENT

AutoCAD Inventor :: ILogic For Sketch Symbols

Jun 24, 2013

I want to replace view labels in drawings with sketch symbols to get a different appearance to my drawings. (As far as i know it is not possible to change the appearance of the standard view label.) See attached snap of my desired view label.

I have used i logic on several occasions successfully but im not experienced at all.  The way I see this working is for a sketch symbol to be inserted below a view when it is created,the standard view label being omitted & the Scale/Name/Sheet details linking to the sketch symbol through parameters.

View 3 Replies View Related

AutoCAD Inventor :: ILogic - Get Extents Of A Sketch?

Sep 13, 2011

Is there some method to get the extents (i.e. bounding box) of a sketch? I'd like the vertical and horizontal dimension.

View 1 Replies View Related

AutoCAD Inventor :: Scale In Sketch Symbol With ILogic

Oct 1, 2013

I am trying to create a sketch symbol with info about the first view on a sheet.  It seems to work fine with any of the properties built in, but I am trying to include the scale.  There are lots of posts about putting scale in a title block, but I can't seem to get the same code to work for a sketch symbol.

View 5 Replies View Related

AutoCAD Inventor :: ILogic Controlled Sketch Symbol

Apr 19, 2012

How do i target a specific sketch symbol within a view and control it with iLogic?

View 9 Replies View Related

AutoCAD Inventor :: Insert Sketch Symbol Using Ilogic?

Aug 15, 2013

I want Inventor to add sketch symbols automaticly on cordinates according to a Custom Text Paramater

for example I have created Custom Multi Value Text User parameter Approved & Not Approved or Plate Work Notes & SteelWork Notes  wich each represent diffrent sketch symbols that needs to be placed out base on the value selected. Each sheet consist of diffrent sketch symbols

View 1 Replies View Related

AutoCAD Inventor :: Insert Sketch Symbol Using ILogic

Mar 21, 2012

insert a sketch symbol to a specific coordinate on a dwg border (top middle of dwg)

Workflow needed is as follows
 
Copy Sketched symbol folder from Standard.dwg from (C:UsersPublicDocumentsAutodeskInventor 2012Templates.Paste into open dwg document and yes to all to overide symbolsPlace a named sketched symbol from drawing resources folder ie (PRELIMINARY) to top center of all sheets within documentreturn to first sheet when complete My new dwg has symbols in correct place so any new dwgs this is ok but we need to add it to hundreds of dwgs when opened or revised,so i want to tie this to external rule and trigger on save event.

View 9 Replies View Related

AutoCAD Inventor :: ILogic Sketch Curve Counter

Apr 17, 2013

Much of our work is structures fabricated from steel plate.  One of our practices is to add a note " (SK) " to the description of plates that have a detailed sketch somewhere in the fab drawing set (simple rectangular or circular plates with no additional features do not get these detailed sketches).  The actual "detailed sketch" is just a dimensioned drawing view of that plate.

I've been working on automating this process so that Inventor can actually determine for the user whether or not the sketch is required.  I have it in certain part templates by default.  Other templates add the note automatically through iLogic when certain plate features are selected, or when the model consists of multiple part features.

This leaves one remaining case that the current set of rules can't catch - when the user creates cutouts, notches, etc. by modifying the sketch for the original extrusion.  I have determined a method for catching that case, but haven't yet figured out how to program it.

What I want to do is count all of the lines, arcs, and circles in the first model sketch.  If that count returns a number other than 4 lines, the note will be added.  If any arcs are detected, the note will be added.  If any circles are detected with lines also present, the note will be added.  There may be other cases that will come up in testing that need to be covered, but I ran into an issue before I got that far.  Construction geometry messes up the count - I need a way to exclude it.

Below is the test code I have so far for the counter.  what techniques I can use to get construction geometry out of the count.  This code doesn't include the provisions for actually adding the note yet - I'm just trying to get the counter working right first.  Instead it's just displaying the total count in a message box for test purposes.

oDoc=ThisDoc.Document
oSketch=oDoc.ComponentDefinition.Sketches.Item(1)
LineCount=oSketch.Sketchlines.count
CircleCount=oSketch.SketchCircles.count
ArcCount=oSketch.SketchArcs.count
TotalCount=LineCount+CircleCount+ArcCount
MessageBox.Show("Total Count "&TotalCount, "Title")

View 3 Replies View Related

AutoCAD Inventor :: ILogic To Change Helical Curve In 3D Sketch

Jan 13, 2014

I'm building a product configuration which includes some helical curves. I want to find out how I can change the direction of a Helical curve feature in a 3D sketch.

Variables like pitch and diameter are parameters, but the direction isn't.

View 6 Replies View Related

AutoCAD Inventor :: Using ILogic To Find Sketch Point Locations

Jul 11, 2012

I would like to use iLogic to find the location of the points of a line, determine if the line is approximately vertical, and apply a vertical constraint if it is vertical.

Here is the code process I envision:

1. Automatically select a straight line.

2. Find the location of its end points.

3. Compare the X-value of the end points to see if they are vertically aligned (or almost so).

4. If they are vertically aligned, apply a vertical constraint.

5. Select next line and repeat.

Is this possible with iLogic? I don't see any way of calling a line's sketch points or finding their location.

View 4 Replies View Related

AutoCAD Inventor :: How To Turn Sketch Visibility On And Off Using ILogic Rules

Feb 29, 2012

How do I turn sketch visibility on and off using ILogic rules.

View 3 Replies View Related

AutoCAD Inventor :: ILogic Part Snap To Sketch For Walkways?

Apr 25, 2013

The company I'm working for is moving toward standardising all plant designs.  iLogic appears to be the best way for rapidly producing assemblies that keep to a standard. 

My new task is to automate the adding of walkways (including hand rails) to large plants.  My idea is that walkways would be added to the plant similar to how frame generator works.  The draftsman would draw a sketch on a plane around the structure.  He would then run a form (That looks like the frame generator form).He would select the lines, a rule would capture the length of that line, pattern the standard walkway along the line until the line intersection, add a corner walkway, and then pattern the straight walkways again.

1) I do not know the ilogic code in order to 'get' a length from the lines that the user selects.

2) how does one constrain the center line of a part to a sketch line.  
 
The second idea I had to create the walkway is (without a sketch), was to have a form that has a dropdown list of all the standard walkway pieces.  The form would work almost like adding a bolted connection to an assembly (e.g. bolt, washer, nut, washer, nut).  The draftsman would for instance,  choose an straight 800mm part, a 1200mm part, a corner(left), a 1200mm part.  Each walkway assembly piece, would then be added to the main assembly in the correct order and constrained.  BTW, is there any book with all the inventor iLogic code, function and uses?  I have found myself pouring though so many forums and picking up bits and pieces, but no actual instruction.  

View 2 Replies View Related

AutoCAD Inventor :: How To Copy And Paste Sketch In Same Plane Through ILogic

May 1, 2013

Here I attached my model view it's just for reference here iam using rectangular pattern and simple ilogic code .Using rectangular pattern we will get all same sizes of boxes but i want to change different different sizes and positions. my idea is without using pattern just draw one rectangular through parameter. Select no. of compartments automatically copy and paste that rectangular in same sketch plane and ask sizes and positions dimensions.

It's possible through ilogic?

In my panel bar options are:

Hight of panel- Hight of panel

width1- Width of panel

Depth1-Depth of panel

com1- no.of Compartments

hIN- No.of Hinges

View 1 Replies View Related

AutoCAD Inventor :: ILogic Code To Turn Sketch Block Visibility On And Off

Jul 28, 2013

I've managed to cobble this code together to turn some sketch visibilities on and off. However, what I'd really like to do is have a single sketch containing some blocks, and turn the visibility of the blocks on and off... How to call the blocks -

'Iterate through the sketches collection'Turn the edging indicators On And Off
For Each oSketch In oDoc.ComponentDefinition.Sketches Select Case
oSketch.NameCase "Front Edged"If E01 = True Then
oSketch.Visible = TrueElse oSketch.Visible = FalseEnd IfCase "Top Edged"If E02 = True Then
oSketch.Visible = TrueElse oSketch.Visible = FalseEnd IfCase "Back Edged"If E03 = True Then
oSketch.Visible = TrueElse oSketch.Visible = FalseEnd IfCase "Base Edged"If E04 = True Then
oSketch.Visible = TrueElse oSketch.Visible = FalseEnd IfEnd SelectNext

View 2 Replies View Related

AutoCAD Inventor :: ILogic Change Sketch Symbol Text Font

Jun 17, 2012

My iLogic ability is quite limited outside of what I use regularly?

I am trying to change the font style in every text definition in all my sketch symbols in one go. Actually I have started it based on only a selection set but I would be happy with just all symbols too. Below is where I got to, I am stuck on the For Each line to cover each text box in the symbol. Some of the other syntax may not be right either but I can't test it all the way through.
 
Dim oDoc As DrawingDocument: oDoc = ThisApplication.ActiveDocumentDim oSheet As Sheet: oSheet = oDoc.ActiveSheetDim i As LongDim oSymDef As SketchedSymbolDefinition: oSymDef = oDoc.SketchedSymbolDefinitions.Item(i)Dim oText As TextBoxesFor i = 1 To oDoc.SelectSet.CountFor Each oText In ............oSymDef.TextBoxes.Item(i).FormattedText ="<StyleOverride Font='ARIAL'>...< /StyleOverride>"NextNextInventorVb.DocumentUpdate()
 
Also the XML style override is not complete if this is the only way to achieve this result.

Inventor Professional 2013, Autodesk Simulation Multiphysics 2013
Windows 7 x64 Core i7 32GB Ram FX2000

View 6 Replies View Related

AutoCAD Inventor :: Sheet Metal ILogic Rule Not Executing On Non-rectangular Base Sketch?

Aug 5, 2013

I have a template that I have created, in it I have a rule that changes the stock number and description based on which sheet metal rule is selected.   The weird thing is it works correctly if the first sketch is a rectangle.  If you sketch a circular shape and make that the face it will not work.  It blanks out the values for the stock number and description.  

I'm running Inventor 2014 update 2.

Format:HTML Format Version:1.0 StartHTML:     165 EndHTML:   33212 StartFragment:     314 EndFragment:   33180 StartSelection:     314 EndSelection:     314
SyntaxEditor Code Snippet
DimiPropValAsString=""
DimiPropDesAsString=""
SelectCaseSheetMetal.GetActiveStyle()

[code]...

View 1 Replies View Related

AutoCad 3D :: Dimensioning 3D Model As Sketch In Paperspace

Jul 25, 2013

I’m looking to model abasic part in 3D then throw some dimensions on it in paper space for quotationpurposes. The problem I have is even when I try aligned dimensions theextension lines from the dimension are not in the same line if vision as themodel (and this just looks awful). The parts are so basic they do not warrant a proper 3 view orthographicdrawing as a simple 3D sketch will suffice…

View 9 Replies View Related

AutoCAD Inventor :: Shared Sketch Generates Sketch Doctor Error - Feature Suppressed

Sep 21, 2011

I've created a shared sketch and have used it with various features. Sometime those features are suppressed. The model works fine but the shared sketch generates a sketch doctor error because the feature that created it has been suppressed. Is there anyway to make the sketch suppressed so it doesn't trigger a sketch doctor error? Inventor 2013

View 2 Replies View Related

AutoCAD Inventor :: Copy Part Sketch Into Drawing Sketch

Sep 20, 2012

How do I duplicate the 2D line work from a part level sketch into a drawing level (overlay) sketch?

I started a simple 2D piping system diagram sketch by opening a new part file and using a sketch to stick draw the system schematic including some annotations.  Then I opened a new drawing file and made a base view of the part file to bring a view of the original sketch into the drawing.

I realize now that it would have been much easier to have created the schematic directly in a 2D sketch at the drawing level, which would have made editing the annotations much easier at the drawing level, and there is really no need for the part file to exist.  I have no intention of creating a 3D model or "real" part in the .ipt file, was just using it as a jumping off point to sketch.

I was thinking that I could correct my error in judgment by just copying the sketch and pasting it into a new sketch on the drawing, but it doesn't want to work that way.  I have tried copying both the whole sketch at the browser level, and the entire sketch contents (all of the lines and annotations) from the opened part sketch, but when I attempt to paste either of those into the drawing, paste does not seem to be an option.  I'd rather not have to draw the whole thing again, as in typical fashion, my once simple sketch has grown in proportion and complexity from its simple beginning.

View 4 Replies View Related

AutoCAD Inventor :: How To Get Sketch Point Data From Sketch Entity

Dec 3, 2013

I was trying to query some sketch points data from a profile Path using code as below. However the program stopped without telling the reason.

Code below:
i = 0;
foreach (ProfileEntity oSourceProfileEntity in oProfilePath) { switch (oProfilePath[i].SketchEntity.Type) { case ObjectTypeEnum.kSketchArcObject: { SketchArc srcSkArc = default(SketchArc); srcSkArc = (SketchArc) oSourceProfileEntity.SketchEntity; // error points[i] = srcSkArc.StartSketchPoint.Geometry; break; } default: { SketchLine srcSkLine = default(SketchLine); srcSkLine =(SketchLine) oProfilePath[i].SketchEntity; // error points[i] = srcSkLine.StartSketchPoint.Geometry; break; } } i++; } 

View 2 Replies View Related

AutoCAD Inventor :: Converting 3D Sketch To 2D Sketch From IGS File Using Wires?

Aug 1, 2011

First we imported an ".igs" file to inventor, which produced "wires".  Then by promoting the wires it produced a 3-d sketch. 

The model is in one plane and 2-D, and we are trying to use Ansys 2-D analysis, but in-order to do so it needs to be in a 2-D sketch.

The model is too large to be redrawn on a 2-D plane, how to convert it to a 2-D sketch

View 9 Replies View Related

AutoCAD Inventor :: Change Sketch 2013 Into Sketch Of 2010?

Dec 14, 2012

want to change sketch 2013 into the sketch of 2010 

View 1 Replies View Related

AutoCAD Inventor :: Sketch Disappears When Editing Another Sketch?

May 30, 2013

When I edit certain sketched some other sketches disappear. see attached.

This is causing modelling to slow down as I can not project lines from the sketch that has disappeared.

View 8 Replies View Related

AutoCAD Inventor :: Modify The Sketch From Projected Sketch?

Aug 22, 2012

After I create a adaptive part from projected sketch. How to modify the sketch? Please see the part attached.

View 6 Replies View Related

AutoCAD Inventor :: Difference Between Sketch And Planar Sketch?

Mar 4, 2012

what is the difference between a sketch and a planar sketch?

View 2 Replies View Related

AutoCAD Inventor :: Constraining A Sketch To Another Sketch?

Aug 16, 2012

I'm having trouble with constaints, I'd like to constrain my sketch to a point in another sketch on a different plane. Is this posible in Inventor? If so how? If Inventor works differently how would you get a points in one sketch to be linked to points another?

View 2 Replies View Related

AutoCAD Inventor :: Close ILogic Form With VBA Or ILogic Rule

Aug 19, 2013

how can I close an iLogic Form from either an iLogic Rule, or a VBA Rule (VBA is the Preferred method)?

View 5 Replies View Related

AutoCAD Inventor :: ILogic Design Copy - Error Copying A File / Inventor Crashes

Nov 5, 2013

I'm trying to use iLogic Design Copy to copy an assembly and all its associated parts to another directory. The assembly contains content center parts. Inventor warns me that the destination file of one of the CC parts (and 18 others) will be overwritten. When I go ahead and copy anyway, the copying process stops at that specific CC part. The Design Copy Progress dialog box states there is an error copying that CC part. When I close the Design Copy Progress dialog box, Inventor crashes.

The error copying the CC part: I'm allowed to use content center parts in iLogic Design Copied stuff, right? I searched some related topics and I'm under the impression that Inventor keeps the CC parts in its own directory and shouldn't be trying to overwrite them.

View 3 Replies View Related

AutoCAD Inventor :: Cannot See Sketch

Oct 22, 2013

Just installed inventor on a new PC. When I go to sketch a line it appears to be drawn but nothing is being created.

View 4 Replies View Related

AutoCAD Inventor :: 3D Sketch - Offset

Apr 18, 2013

Is it possible to offset this 3D sketch1, it must still follow the curvature.

View 9 Replies View Related

AutoCAD Inventor :: Sketch Will Not Offset

Apr 30, 2013

Inventor 2011 will not offset polygon in sketch mode.  I get "Method not supported for transient meta" error message.

View 9 Replies View Related







Copyrights 2005-15 www.BigResource.com, All rights reserved